<?php
$sys_user_regtype=SYS_USER_REGTYPE;

if(isset($get_act)&&$get_act=="reg"){
	if(!isset($get_reg_name)||$get_reg_name==""){
		$obj_msg->alert("注册用户名不能为空！");
		$obj_msg->on_history_back();
		exit;
	}
	if(!isset($get_reg_pwd)||$get_reg_pwd==""){
		$obj_msg->alert("注册用户密码不能为空！");
		$obj_msg->on_history_back();
		exit;
	}
	if(!isset($get_reg_repwd)||$get_reg_repwd==""){
		$obj_msg->alert("确认密码不能为空！");
		$obj_msg->on_history_back();
		exit;
	}
	if(isset($get_reg_email)&&$get_reg_email!=""){
		$str_x=chk_email($get_reg_email);
		if($str_x!=""){
			$obj_msg->alert($str_x);
			$obj_msg->on_history_back();
			exit;
		}
	}
	if(!isset($get_reg_repwd)||$get_reg_repwd==""){
		$obj_msg->alert("确认密码不能为空！");
		$obj_msg->on_history_back();
		exit;
	}
	if($get_reg_repwd!=$get_reg_pwd){
		$obj_msg->alert("两次输入密码不相等！");
		$obj_msg->on_history_back();
		exit;
	}
	$str_code=get_safecode($get_reg_code);
	if($str_code!=get_cookie("user_code_regin")){
		$obj_msg->alert("输入验证码不正确！");
		$obj_msg->on_history_back();
		exit;
	}
	$obj_tab_user=new cls_tab_sys_user();
	$arr_fields["user_name"]=$get_reg_name;
	$arr_fields["user_pwd"]=$get_reg_pwd;
	if(isset($get_reg_email)) $arr_fields["user_email"]=$get_reg_email;
	$arr_fields["user_type"]="personal";
	$arr_msg=$obj_tab_user->on_save($arr_fields);
	if($arr_msg["err"]!=""){
		$obj_msg->alert($arr_msg["err"]);
		$obj_msg->on_history_back();
		exit;
	}else{
		$arr_msg=$obj_ctl_user->on_login($arr_msg["id"],1);
		if($arr_msg["err"]!=""){
			$obj_msg->alert($arr_msg["err"]);
			$obj_msg->go_url(WEB_URL);
			exit;
		}else{
			go_url($web_url."/user.php");
		}
	}

}
?>